cocoon-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Grzegorz Kossakowski <gkossakow...@apache.org>
Subject Re: [jira] Closed: (COCOON-2079) Parser error when launching webapp with jetty
Date Sat, 23 Jun 2007 18:06:01 GMT
Joerg Heinicke pisze:
> On 23.06.2007 19:40, Grzegorz Kossakowski wrote:
> 
>>
>> I tried my best to reproduce the problem and failed. If it was broken 
>> since more than two years why no one noticed it before?
> 
> My validating XML editor (jEdit + XML plugins) complained exactly about 
> those problems Gustavo's patch fixed. There are some roles declarations 
> in it without @shorthand and @model was added to some of them. No idea 
> why it was never noticed. Is nobody using a validating editor? That one 
> gets the error and another one not at runtime is just some (default) 
> configuration option I guess.

I use editor with validation enabled but have never opened this particular file. I was wondering
why most of us did not experienced the 
problem during runtime. If it is up to us I would like to have validation enabled everywhere
configuration files are read. To simply avoid 
such problems.

>> I hope it's not serious enough to stop our release?
> 
> What do you mean? I hope the fix makes it into the release?

Not into RC1 because it's already prepared for release and waits for votes:
http://article.gmane.org/gmane.text.xml.cocoon.devel/73707

Reformulating the question: is the fix important enough to stop RC1? As people have used trunk
for two years not suffering from this problem 
I don't think it's show-stopper but I would like to make sure.

-- 
Grzegorz Kossakowski
http://reflectingonthevicissitudes.wordpress.com/

Mime
View raw message